%define pkg_name        File-Copy-Recursive
%define pkg_version     0.35
%define rpm_pkg_version 0.35
%define rpm_pkg_release 1.n0i.10

Summary:       Uses File::Copy to recursively copy dirs
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DM/DMUEY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(File::Copy)}
%{!?_without_test:BuildRequires: perl(File::Spec)}


%description
This module copies and moves directories recursively (or single files,
well... singley) to an optional depth and attempts to preserve each file or
directory's mode.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Aug 28 2007 Marius Feraru <altblue@n0i.net> - 0.35-1.n0i.10
- version 0.35

* Wed Aug 22 2007 Marius Feraru <altblue@n0i.net> - 0.34-1.n0i.9
- version 0.34

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.33-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.33

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.25-1.n0i.7
- version 0.25

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 0.24-1.n0i.6
- version 0.24

* Fri Jun 02 2006 Marius Feraru <altblue@n0i.net> - 0.23-1.n0i.5
- version 0.23

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> - 0.22-1.n0i.4
- version 0.22

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 0.21-1.n0i.3
- version 0.21

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 0.20-1.n0i.2
- version 0.20

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 0.19-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.0
- rebuild on perl 5.8.8
